Subject: Oregon Fall Mushroom Show - Oct 13th!!!

From: "Ralph D. Arnold" <[email-masked]>
Date: Thu, 26 Sep 96 11:02:04 PST

Sunday, October 13th, the Oregon Mycological Society will be holding
their FALL SHOW at the Tigard (Oregon) National Guard Armory
at 6700 SW Oak (off 99W between I-5 & 217).  Hours 12-5.
This 46th Annual Wild Mushroom Show will display hundreds of Mushrooms
>from  Oregon & Washington, with common & scientific names, habitat, & 
edibility.  Cooking Deoms.  Mushrooms Books & Guides for sell.  Mushroom
Art and as Dyes.  Truffle Exhibit.  Plus, if you are interested in
Cultivating Mushrooms, you can (a) visit the Cultivation Committee
tables; and even (b) buy kits of at least 2 species of mushrooms ready to
be harvested.  Adults= $4.00; Child= Free
More info: 503-640-6428  or 239-4321